Bug 1872065 - jack crash many audio applications.
Summary: jack crash many audio applications.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 23:10 UTC by edpil02
Modified: 2020-08-31 20:08 UTC (History)
7 users (show)

Fixed In Version: jack-audio-connection-kit-1.9.14-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-31 20:08:23 UTC
Type: Bug


Attachments (Terms of Use)

Description edpil02 2020-08-24 23:10:21 UTC
All my audio music applications crashes because of libjack.so.0 :
Sorry for my english.


Backtraces :

 1) qjackctl
 
thread 1 "qjackctl" received signal SIGSEGV, Segmentation fault.
0x00007ffff7f925b7 in Jack::JackLinuxFutex::BuildName(char const*, char const*, char*, int) [clone .constprop.0] () from /lib64/libjack.so.0

(gdb) bt
#0  0x00007ffff7f925b7 in Jack::JackLinuxFutex::BuildName(char const*, char const*, char*, int) [clone .constprop.0] () from /lib64/libjack.so.0
#1  0x00007ffff7f92665 in Jack::JackLinuxFutex::Connect(char const*, char const*) () from /lib64/libjack.so.0
#2  0x00007ffff7f929cf in Jack::JackLibClient::Open(char const*, char const*, unsigned long, JackOptions, JackStatus*) () from /lib64/libjack.so.0
#3  0x00007ffff7f9582a in jack_client_open () from /lib64/libjack.so.0
#4  0x00005555555e2c98 in qjackctlMainForm::startJackClient(bool) ()
#5  0x0000555555614f8f in qjackctlMainForm::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.0] ()
#6  0x00007ffff6d7dfb0 in void doActivate<false>(QObject*, int, void**) () from /lib64/libQt5Core.so.5
#7  0x00007ffff6d815a3 in QSingleShotTimer::timerEvent(QTimerEvent*) () from /lib64/libQt5Core.so.5
#8  0x00007ffff6d76abf in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007ffff7939063 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007ffff6d4efc0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007ffff6d99e83 in QTimerInfoList::activateTimers() () from /lib64/libQt5Core.so.5
#12 0x00007ffff6d9a77c in timerSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007ffff568e88f in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007ffff56e0288 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007ffff568bc43 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007ffff6d9ab73 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007ffff6d4d91b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007ffff6d555a6 in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x0000555555595cb6 in main ()
(gdb) 



2) qsynth 

Thread 6 "qsynth" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffda955640 (LWP 4387)]
0x00007ffff619bcba in Jack::JackClient::WaitSync() () from /lib64/libjack.so.0

(gdb) bt
#0  0x00007ffff619bcba in Jack::JackClient::WaitSync() () from /lib64/libjack.so.0
#1  0x00007ffff61a2874 in Jack::JackClient::Execute() () from /lib64/libjack.so.0
#2  0x00007ffff61aacc6 in Jack::JackPosixThread::ThreadHandler(void*) () from /lib64/libjack.so.0
#3  0x00007ffff67063f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007ffff6820b43 in clone () from /lib64/libc.so.6
(gdb) 



3) rosegarden

Thread 9 "QThread" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe8511640 (LWP 4485)]
0x00007ffff6834cba in Jack::JackClient::WaitSync() () from /lib64/libjack.so.0

(gdb) bt
#0  0x00007ffff6834cba in Jack::JackClient::WaitSync() () from /lib64/libjack.so.0
#1  0x00007ffff683b874 in Jack::JackClient::Execute() () from /lib64/libjack.so.0
#2  0x00007ffff6843cc6 in Jack::JackPosixThread::ThreadHandler(void*) () from /lib64/libjack.so.0
#3  0x00007ffff6c6e3f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007ffff62ffb43 in clone () from /lib64/libc.so.6
(gdb) 



4) muse sequencer

Thread 1 "muse3" received signal SIGSEGV, Segmentation fault.
0x00007ffff5cc0a01 in jack_get_ports.cold () from /lib64/libjack.so.0
(gdb) 

(gdb) bt
#0  0x00007ffff5cc0a01 in jack_get_ports.cold () from /lib64/libjack.so.0
#1  0x00007ffff7cd9c1f in MusECore::JackAudioDevice::inputPorts[abi:cxx11](bool, int) () from /usr/lib64/muse-3.0/modules/libmuse_driver.so
#2  0x00007ffff7e20291 in MusECore::enumerateJackMidiDevices() () from /usr/lib64/muse-3.0/modules/libmuse_core.so
#3  0x000055555555d79e in main ()

Comment 1 edpil02 2020-08-25 05:13:58 UTC
Same issues with the latest fedora 33 live kde compose.

Comment 2 edpil02 2020-08-25 12:47:05 UTC
The crashes seems  to came from the  LTO flags build.

Adding  " %define _lto_cflags %{nil}"  in the spec file and rebuild the package solves the issue.

Comment 3 Guido Aulisi 2020-08-25 14:30:00 UTC
Latest rawhide build is without LTO (https://koji.fedoraproject.org/koji/taskinfo?taskID=50140186).

Can you try with that?

Comment 4 edpil02 2020-08-25 14:41:57 UTC
Your build is ok.
The bug is resolved.

Thanks

Comment 5 Fedora Update System 2020-08-26 08:12:22 UTC
FEDORA-2020-43dfda58b3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-43dfda58b3

Comment 6 Fedora Update System 2020-08-26 17:07:09 UTC
FEDORA-2020-43dfda58b3 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-43dfda58b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-43dfda58b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-31 20:08:23 UTC
FEDORA-2020-43dfda58b3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.